package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstrainLoadingTemp;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TmstrainLoadingTempMapper extends IBaseMapper<TmstrainLoadingTemp, BigDecimal> {
     BigDecimal selectMaxId();

     List<Map<String, Object>> getWareHouseOutresult(BigDecimal resultId);

     //根据新的采购订单查询批次
     BigDecimal getBatchIdbyPurchaseNo(String purchaseNo);

     //修改物资总吨位
     int updateTonnage(BigDecimal outResultId,int wagonWeightNew);
}