package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstrainTotalResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface TmstrainTotalResultMapper extends IBaseMapper<TmstrainTotalResult, BigDecimal> {
    @Select("select seq_train_total.nextval from dual")
    BigDecimal selectMaxId();

    //通过火运装车实绩ID查询火运总实绩ID
    BigDecimal getTotalIdByLoadingId(Integer loadingId);
}